> For the complete documentation index, see [llms.txt](https://docs.quaiscan.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.quaiscan.io/developer-support/api/rpc-endpoints.md).

# JSON RPC & Quai Compatible RPC Endpoints

This API is provided for developers transitioning applications from other networks to Quai and applications requiring general API and data support. It supports GET and POST requests.

{% hint style="info" %}
Access the API by adding `/api` to the end of the url. For example:

* URL: <https://quaiscan.io>
* API URL: [https://quaiscan.io/api](https://quaiscan.io)

An example query includes a module and action(s)/parameters. For example:\
[https://quaiscan.io/api?module=**account**\&action=**listaccounts**\&page=2\&offset=5](https://quaiscan.io/api?module=account\&action=listaccounts\&page=2\&offset=5)
{% endhint %}

The following modules are supported. Click through to see specific endpoints and parameters.

<table data-header-hidden><thead><tr><th width="158"></th><th></th></tr></thead><tbody><tr><td><a href="/pages/JwHLW1GXYCpNqkUENOUT">Account</a></td><td><code>?module=account</code></td></tr><tr><td><a href="/pages/crIaMjWwWxZwSkZQgwFQ">Logs</a></td><td><code>?module=logs</code></td></tr><tr><td><a href="/pages/rozP3FHBysgYYIsTqlby">Token</a></td><td><code>?module=token</code></td></tr><tr><td><a href="/pages/rdMHekKsPhqnaIr5FeTy">Stats</a></td><td><code>?module=stats</code></td></tr><tr><td><a href="/pages/bj9dT9zGdwYfwMQ0cto8">Block</a></td><td><code>?module=block</code></td></tr><tr><td><a href="/pages/TxiDOoT4AZMIRafGCcCD">Contract</a></td><td><code>?module=contract</code></td></tr><tr><td><a href="/pages/Uea1LStI4ZStyAj9VsNX">Transaction</a></td><td><code>?module=transaction</code></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.quaiscan.io/developer-support/api/rpc-endpoints.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
